### Enumeration

# WebKit CacheModel

#### Declaration

    enum WebKit.CacheModel

#### Description [src]

Enum values used for determining the `WebKitWebContext` cache model.

#### Members

Name | Description
--- | ---
`WEBKIT_CACHE_MODEL_DOCUMENT_VIEWER` | Disable the cache completely, which substantially reduces memory usage. Useful for applications that only access a single local file, with no navigation to other pages. No remote resources will be cached.
`WEBKIT_CACHE_MODEL_WEB_BROWSER` | Improve document load speed substantially by caching a very large number of resources and previously viewed content.
`WEBKIT_CACHE_MODEL_DOCUMENT_BROWSER` | A cache model optimized for viewing a series of local files — for example, a documentation viewer or a website designer. WebKit will cache a moderate number of resources.